package com.hcl.stubAPI;

import java.io.File;
import java.io.FileWriter;
import java.io.IOException;

import com.opencsv.CSVWriter;

public class StubDetailsWriter implements AutoCloseable{

	 final CSVWriter csvWriter;
	 final FileWriter fileWriter;
	 private String filePath;

	public StubDetailsWriter() throws IOException {
		File file = File.createTempFile("stubdetails",".csv");
		filePath = file.getPath();
		fileWriter = new FileWriter(file);
		csvWriter = new CSVWriter(fileWriter);
		String[] csvHeader = { "Stub ID", "Stub Name", "State", "Version", "Domain Name", "Environment" };
		csvWriter.writeNext(csvHeader);
	}

	public void write(String[] data) {
		csvWriter.writeNext(data);
	}

	public void close() throws IOException {
		csvWriter.close();
		fileWriter.close();
	}
	
	public String getFilePath() {
		return filePath;
	}

}
