/*******************************************************************************
 * Licensed Materials - Property of HCL
 * (c) Copyright HCL Technologies Ltd. 2022. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ghc.password.provider.file;

import java.awt.BorderLayout;

import javax.swing.JComponent;
import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.event.DocumentListener;

import com.ghc.password.provider.PasswordProviderGUI;
import com.ghc.tags.TagDataStore;

public class FilePasswordProviderGUI implements PasswordProviderGUI {

   private final JPanel panel = new JPanel(new BorderLayout());
   private final JTextField pwd;

   public FilePasswordProviderGUI(TagDataStore tds) {
      pwd = new JTextField();
      panel.add(pwd, BorderLayout.NORTH);
   }

   @Override
   public JComponent getComponent() {
      return panel;
   }

   @Override
   public void setConfig(String config) {
      pwd.setText(config);
   }

   @Override
   public String getConfig() {
      return pwd.getText();
   }

   @Override
   public void addDocumentListener(DocumentListener listener) {
      pwd.getDocument().addDocumentListener(listener);

   }

}
